Bug 1198252 - New command spacewalk-final-archive needs some docs TLC
Summary: New command spacewalk-final-archive needs some docs TLC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Documentation
Version: 570
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Dan Macpherson
QA Contact: Dan Macpherson
URL:
Whiteboard:
Depends On:
Blocks: sat-docs
TreeView+ depends on / blocked
 
Reported: 2015-03-03 16:19 UTC by Grant Gainey
Modified: 2015-09-16 02:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-16 02:08:42 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Grant Gainey 2015-03-03 16:19:58 UTC
There is a new tool, spacewalk-final-archive, to be released soon for 5.6/5.7. Its intended use case is for customers preparing to 'mothball' their Sat5 system as the final step before switching to Sat6.

We probably need a small section on this tool in the official product-docs. Maybe a new section or appendix in the Installation Guide, "Final steps when decommissioning your Satellite", perhaps?

The tool will be released as part of the existing spacewalk-utils RPM.

The tool has internal help:

===
~ $ ./spacewalk-final-archive --help
Usage: spacewalk-final-archive [options]

Options:
  -h, --help       show this help message and exit
  --dir=DIR        Specify directory to store the final archive into (will be
                   created if not found) - defaults to /tmp/spacewalk-final
  --no-db          Do not archive a database backup
  --no-reports     Do not archive space-report output
  --no-debug       Do not archive spacewalk-debug output
  --no-transition  Do not archive spacewalk-export output
  --clean          How do I clean up from previous runs?
===

and a man-page:

===
SPACEWALK-FINAL-ARCHIVE(8)                          SPACEWALK-FINAL-ARCHIVE(8)

NAME
       spacewalk-final-archive - Utility for archiving as much exportable data as available from a running instance

SYNOPSIS
       spacewalk-final-archive [ options ... ]

        [ --dir=DIR ]

        [ --no-db ]

        [ --no-reports ]

        [ --no-debug ]

        [ --no-transition ]

        [ --clean ]

        [ -h ]  [ --help ]

DESCRIPTION
       spacewalk-final-archive archives as much exportable data as is available from a running spacewalk system

       This  tool leverages a number of existing spacewalk utilities, including db-control, spacewalk-report, spacewalk-debug, and spacewalk-export, to collect their output into a specified
       location and gather it into one compressed file that can be easily stored elsewhere as an archive of the ’final’ state of the spacewalk system.

       Individual tools’ output can be skipped if desired.

OPTIONS
       --dir=DIR
              Specify directory to store results (will be created if not found) - defaults to /tmp/spacewalk-final

       --no-db
              Do not gather the output of db-control backup

       --no-reports
              Do not gather the output of all spacewalk-report

       --no-debug
              Do not gather the output of spacewalk-debug

       --no-transition
              Do not gather the output of spacewalk-export

       --clean
              Describes how to clean up from previous runs. This does not execute the command, leaving it to the user to decide whether issuing an ’rm -rf’ command as root is a good idea.

       -h, --help
              Display the help screen with a list of options.

EXAMPLES
   ARCHIVE ALL ENTITIES TO THE DEFAULT LOCATION (/TMP/SPACEWALK-FINAL)
       spacewalk-final-archive

   ARCHIVE ONLY THE DATABASE AND SPACEWALK-DEBUG OUTPUT, USING DIRECTORY /TMP/ARCH AS A DESTINATION
       spacewalk-final-archive --dir=/tmp/arch --no-reports --no-transition

AUTHORS
       Grant Gainey<ggainey@redhat.com>

Version 0.1                    04 February 2015     SPACEWALK-FINAL-ARCHIVE(8)
===

Comment 1 Dan Macpherson 2015-03-05 04:04:35 UTC
Hi Grant,

What's the ETA for this tool?

- Dan

Comment 2 Grant Gainey 2015-03-05 12:54:08 UTC
Dan - tool is complete and in QE's hands right now, and can be released as soon as it receives their OK.

Comment 10 Clifford Perry 2015-06-21 15:21:41 UTC
Any chance to get this and section 4.4 published ? :) 

Thanks,
Cliff

Comment 11 Dan Macpherson 2015-08-13 05:22:23 UTC
This page is published:

https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html/User_Guide/ch04s05.html

Grant, are there any further additions requires on that page?

Comment 12 Grant Gainey 2015-08-13 17:19:51 UTC
Dan - looks great to me! Thanks!


Note You need to log in before you can comment on or make changes to this bug.